summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/lang-bash
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2003-12-07 12:42:16 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:11:27 +0200
commitc625209bdd0c1294535212107507c8933c5b7320 (patch)
tree4ff9c09e1bf94f7717422e5d2c1ba90cabcceed9 /gettext-tools/tests/lang-bash
parentac768f92ce1f97e0b765c7e4e54839da8728aa1b (diff)
downloadexternal_gettext-c625209bdd0c1294535212107507c8933c5b7320.zip
external_gettext-c625209bdd0c1294535212107507c8933c5b7320.tar.gz
external_gettext-c625209bdd0c1294535212107507c8933c5b7320.tar.bz2
Test whether the locale is usable. If not, skip the tests.
Diffstat (limited to 'gettext-tools/tests/lang-bash')
-rwxr-xr-xgettext-tools/tests/lang-bash9
1 files changed, 9 insertions, 0 deletions
diff --git a/gettext-tools/tests/lang-bash b/gettext-tools/tests/lang-bash
index 030e77c..0fff7e3 100755
--- a/gettext-tools/tests/lang-bash
+++ b/gettext-tools/tests/lang-bash
@@ -89,6 +89,15 @@ case `bash -c 'echo $BASH_VERSION'` in
*) rm -fr $tmpfiles; exit 77;;
esac
+# Test whether the fr_FR locale is installed.
+: ${LOCALE_FR=fr_FR}
+LC_ALL=$LOCALE_FR ./testlocale
+case $? in
+ 0) ;;
+ 77) rm -fr $tmpfiles; exit 77;;
+ *) exit 1;;
+esac
+
tmpfiles="$tmpfiles prog.nok prog.ok prog.out"
# Expected result when bash is built without i18n support.
cat <<\EOF > prog.nok